.yaganime-acceuil-body {
    background-color: aqua;
}

.yaganime-acceuil-top {
    color: white;
    background: rgb(81, 11, 107);
    background: linear-gradient(150deg,  rgba(103, 15, 33, 1)0%, rgba(81, 11, 107, 1) 100%);
    height: 100px;
    width: 100%;
}

* {
    box-sizing: unset;
}
.yaganime-general-card {
    border: solid 5px #510b6b;
    border-radius: 20px;
    background-color: white;
    font-size: 0.9em;
}

.yaganime-general-card-head {
    height: 15%;
    width: 100%;
}
.yaganime-general-card-head-like {
    border: solid 2px black;
    border-radius: 20px;
    font-size: 0.8em;
    width: 25%;
}

.yaganime-general-card-body {
    height: 280px;
    width: 150px;
}
.yaganime-general-card-body-img {
    width: fit-content;
    height: fit-content;
    border: solid 2px #510b6b;
    border-radius: 20px;
}

.yaganime-general-card-foot {
    height: 15%;
    width: 100%;
}

.yaganime-general-card-head-title {
    width: 100%;
    height: 100%;
    overflow: hidden;
    white-space: nowrap; /* Don't forget this one */
    text-overflow: ellipsis;
}

.yaganime-general-card-head-rank {
    width: 50%;
}

.yaganime-general-card-foot {
    border: solid 5px #670F21;
    border-radius: 20px;
    border-bottom: 0;
}

.yaganime-general-card-foot-btnList {
    border: none;
    background-color: white;
}

.yaganime-general-card-foot-list-item:hover {
    background-color: #670F21;
    color: white;
}

.yaganime-anime_details-btn {
    border: #510b6b;
    border-radius: 8px;
    background-color: #510b6b;
    color: white;
}